イベントバージョンごとに 1 つのエントリの ECP へのプロキシ。リリースはタイムラインの境界であるため、配置は、配置時に開いていたリリース、または配置されるアーティファクトのリリースに属します。
GET /api/v1 /projects/{id}/workspaces/{workspace_id}/deployments/versions
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/workspaces/{workspace_id}/deployments/versions' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"versions": [
{
"deployment_count": 42,
"release_build_ids": [
"string"
],
"release_deployment_id": "string",
"release_version": "string",
"released_at": "2026-05-04T09:42:00Z"
}
]
}
応答の例(200)
{
"versions": [
{
"deployment_count": 42,
"release_build_ids": [
"string"
],
"release_deployment_id": "string",
"release_version": "string",
"released_at": "2026-05-04T09:42:00Z"
}
]
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}